## org.apache.batik.dom.svg
Class SVGStylableElement.StyleDeclaration

    java.lang.Object
      org.apache.batik.css.dom.CSSOMStyleDeclaration
          org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
              org.apache.batik.dom.svg.SVGStylableElement.StyleDeclaration

All Implemented Interfaces:
  CSSEngine.MainPropertyReceiver, CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.ValueProvider, org.w3c.dom.css.CSSStyleDeclaration, LiveAttributeValue

Enclosing class:
  SVGStylableElement

public class SVGStylableElement.StyleDeclaration
extends CSSOMSVGStyleDeclaration
implements LiveAttributeValue, CSSOMStyleDeclaration.ValueProvider, CSSOMStyleDeclaration.ModificationHandler, CSSEngine.MainPropertyReceiver

This class represents the 'style' attribute.

Nested Class Summary

Nested classes inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`CSSOMSVGStyleDeclaration.StyleDeclarationColorValue, CSSOMSVGStyleDeclaration.StyleDeclarationPaintValue`

Nested classes inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`CSSOMStyleDeclaration.ModificationHandler, CSSOMStyleDeclaration.StyleDeclarationValue, CSSOMStyleDeclaration.ValueProvider`

Field Summary
`protected StyleDeclaration` `declaration` The associated CSS object.
`protected boolean` `mutate` Whether the mutation comes from this object.

Fields inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`cssEngine`

Fields inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`handler, parentRule, valueProvider, values`

Constructor Summary
`SVGStylableElement.StyleDeclaration(CSSEngine eng)` Creates a new StyleDeclaration.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`int` `getLength()` Returns the length of the declaration.
`java.lang.String` `getText()` Returns the text of the declaration.
`Value` `getValue(java.lang.String name)` Returns the current value associated with this object.
`boolean` `isImportant(java.lang.String name)` Tells whether the given property is important.
`java.lang.String` `item(int idx)` Returns the value at the given.
`void` `propertyChanged(java.lang.String name, java.lang.String value, java.lang.String prio)` Called when a property was changed.
`void` `propertyRemoved(java.lang.String name)` Called when a property was removed.
`void` `setMainProperty(java.lang.String name, Value v, boolean important)` Called with a non-shorthand property name and it's value.
`void` `textChanged(java.lang.String text)` Called when the value text has changed.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGStyleDeclaration
`createCSSValue`

Methods inherited from class org.apache.batik.css.dom.CSSOMStyleDeclaration
`getCssText, getCSSValue, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, removeProperty, setCssText, setModificationHandler, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declaration

    protected StyleDeclaration declaration

  The associated CSS object.

### mutate

    protected boolean mutate

  Whether the mutation comes from this object.

Constructor Detail

### SVGStylableElement.StyleDeclaration

    public SVGStylableElement.StyleDeclaration(CSSEngine eng)

  Creates a new StyleDeclaration.

Method Detail

### getValue

    public Value getValue(java.lang.String name)

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMStyleDeclaration.ValueProvider`

### isImportant

    public boolean isImportant(java.lang.String name)

  Tells whether the given property is important.

  Specified by:
    `isImportant` in interface `CSSOMStyleDeclaration.ValueProvider`

### getText

    public java.lang.String getText()

  Returns the text of the declaration.

  Specified by:
    `getText` in interface `CSSOMStyleDeclaration.ValueProvider`

### getLength

    public int getLength()

  Returns the length of the declaration.

  Specified by:
    `getLength` in interface `CSSOMStyleDeclaration.ValueProvider`
  Overrides:
    `getLength` in class `CSSOMStyleDeclaration`

### item

    public java.lang.String item(int idx)

  Returns the value at the given.

  Specified by:
    `item` in interface `CSSOMStyleDeclaration.ValueProvider`
  Overrides:
    `item` in class `CSSOMStyleDeclaration`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

### textChanged

    public void textChanged(java.lang.String text)
                     throws org.w3c.dom.DOMException

  Called when the value text has changed.

  Specified by:
    `textChanged` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### propertyRemoved

    public void propertyRemoved(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Called when a property was removed.

  Specified by:
    `propertyRemoved` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

### setMainProperty

    public void setMainProperty(java.lang.String name,
                                Value v,
                                boolean important)

  Description copied from interface: `CSSEngine.MainPropertyReceiver`
  Called with a non-shorthand property name and it's value.

  Specified by:
    `setMainProperty` in interface `CSSEngine.MainPropertyReceiver`

### propertyChanged

    public void propertyChanged(java.lang.String name,
                                java.lang.String value,
                                java.lang.String prio)
                         throws org.w3c.dom.DOMException

  Called when a property was changed.

  Specified by:
    `propertyChanged` in interface `CSSOMStyleDeclaration.ModificationHandler`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.